Subject: Re: [RFC/PATCH] Teach git mergetool to use custom commands defined at config time

From: Charles Bailey <[email-masked]>
Date: Sun, 17 Feb 2008 00:56:20 +0000

On Sun, Feb 17, 2008 at 12:46:15AM +0000, Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 17 Feb 2008, Charles Bailey wrote:
> 
> > On Sat, Feb 16, 2008 at 11:37:31PM +0100, Steffen Prohaska wrote:
> > 
> > > Why not just add the tools you have in mind to git mergetool?  If 
> > > everyone did that eventually we would have direct support for a rather 
> > > long list of tools.  This would be the easiest solution for the end 
> > > user: He could just choose the preferred tool and use it.  The 
> > > invocation of each merge tool would be coded in mergetool.  The exact 
> > > command line could be fine tuned and would be reviewed by other git 
> > > developers.
> > > 
> > 
> > I have to disagree with this approach.
> 
> So you'd rather have the end users do the same work for the same tool over 
> and over again?
> 

I'm sorry, I should have made myself clearer. I disagree that the
approach of adding new tool support to the source code as and when they
are encountered is optimal. I believe that it is preferable to have a
solution that allows users to configure, rather then code, support for
their own tools that do not to have native support.

I do not disagree that there is benefit to having a wide range of
tools that are supported natively.

I thought I made a reasonable argument for this in the rest of my
email that you took the headline from, but evidently I came across as
muddled.

Charles.